# ChangeLog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.3.1] - 2023-09-01
### Changed
- Add missing entries in ChangeLog

## [1.3] - 2023-09-01
### Changed
- The `-i` option now prints ASCII art instead of spaces

## [1.2.4] - 2023-06-08
### Changed
- Minor code style adjustments
- Fix allocation bug

## [1.2.3] - 2023-05-30
### Changed
- Better error handling

## [1.2.2] - 2023-05-30
### Changed
- Remove `-Werror`

## [1.2.1] - 2023-05-30
### Changed
- .gitignore
- Replace bzero(3) with memset(3)

### Fixed
- Fix handling of CD drives with no CD in them
- Correct date of manual

## [1.2] - 2023-05-17
### Added
- Accept "disk" arguments.
- Show RAID disks
  - Show status of RAID disk in "COMMENT"
- Show status of RAID volume in "COMMENT"
- Options:
  - `-a` print all fields
  - `-i` don't print fancy unicode characters
  - `-U` print the DUID
  
### Changed
- Merge "LABEL" and "MOUNT" fields into "COMMENT"
  because disks can't be mounted but partitions can,
  and disks can have a label but partitions don't
  (at least through the disklabel interface).
- Print fancy unicode characters by default.
- Use err(3) instead of die()
- Use opendev(3) instead of open(2)
- Sort drives by name
- Dynamic padding of output
- Allow drive names longer than `sd0`, like `vnd0`

### Removed
- Options:
  - `-l`

## [1.1] - 2023-05-02
### Added
- Header
- Options:
  - `-n` don't print header
  - `-l` print the disk label
  - `-u` print the filesystem usage
- `make unroot`

### Changed
- Strip " disk" from d_typename (type column)
- Padding
- Restructured code
