# lsblk for OpenBSD
This project aims to implement a clone of lsblk(8) for OpenBSD.

## Install
``` sh
# Clone the repo.
git clone git://stuerz.xyz/openbsd/lsblk

# Build & Install lsblk(8).
make && doas make install

# Optional: Make non-roots be able to run lsblk(8).
doas make unroot
```

## Quirks
- It requires root privileges
  Workaround: `make unroot`

## TODO
- [x] `lsblk sd0`
- [ ] `lsblk sd0a`
- [ ] `lsblk -f duid,size`
- [x] Don't use manual padding.
- [x] Support disks that have more than 2 letters, like `vnd0`
- [x] Sort drives by name
- [ ] Add an option to make the output script-friendly (like -c for CSV).
- [x] Maybe: Display the child device of a RAID partition
- [x] Show the DUID
- [ ] Explain the exact meaning of every field in lsblk.8

## Contributing
If you find any bugs or have suggestions/patches,
please contact me at <benni@stuerz.xyz>.
